# Enum AccessibilityGrouping

java.lang.Object
java.lang.Enum<AccessibilityGrouping>
com.codename1.ui.accessibility.AccessibilityGrouping

All Implemented Interfaces:
  `Comparable<AccessibilityGrouping>`

public enum AccessibilityGrouping extends Enum<AccessibilityGrouping>
Controls how a component and its descendants participate in the semantic tree.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  Infer exposure from the role, content, actions, and component type.
  `EXCLUDE`
  Omit this node but promote its semantic children.
  `EXCLUDE_SUBTREE`
  Omit this node and its entire semantic subtree.
  `GROUP`
  Expose this node and its semantic descendants.
  `LEAF`
  Expose this node and omit all semantic descendants.
  `MERGE_DESCENDANTS`
  Expose a single node whose label and description include its descendants.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibilityGrouping`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AccessibilityGrouping[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final AccessibilityGrouping AUTO
    Infer exposure from the role, content, actions, and component type.

  - ### LEAF

    public static final AccessibilityGrouping LEAF
    Expose this node and omit all semantic descendants.

  - ### GROUP

    public static final AccessibilityGrouping GROUP
    Expose this node and its semantic descendants.

  - ### MERGE_DESCENDANTS

    public static final AccessibilityGrouping MERGE_DESCENDANTS
    Expose a single node whose label and description include its descendants.

  - ### EXCLUDE

    public static final AccessibilityGrouping EXCLUDE
    Omit this node but promote its semantic children.

  - ### EXCLUDE_SUBTREE

    public static final AccessibilityGrouping EXCLUDE_SUBTREE
    Omit this node and its entire semantic subtree.

- ## Method Details

  - ### values

    public static AccessibilityGrouping[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccessibilityGrouping valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null